Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.inference.flavors.list()
page = page.results[0]
print(page.cpu)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Inference.Flavors.List(context.TODO(), cloud.InferenceFlavorListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}curl --request GET \
--url https://api.gcore.com/cloud/v3/inference/flavors \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/inference/flavors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"cpu": 2,
"description": "1xL40S / 16 vCPU / 232GiB RAM",
"gpu": 1,
"gpu_compute_capability": "8.6",
"gpu_memory": 80,
"gpu_model": "H100",
"is_gpu_shared": false,
"memory": 4,
"name": "inference-16vcpu-232gib-1xh100-80gb"
}
]
}Everywhere Inference
List inference flavors
GET
/
cloud
/
v3
/
inference
/
flavors
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.inference.flavors.list()
page = page.results[0]
print(page.cpu)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Inference.Flavors.List(context.TODO(), cloud.InferenceFlavorListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I